> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Member Document

> Retrieves a member document by ID. The file field is a temporary signed URL for the private PDF. Requires the memberdocument:read or memberdocument:write scope.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml get /member_documents/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_documents/{public_id}:
    get:
      tags:
        - member_documents
      description: >-
        Retrieves a member document by ID. The file field is a temporary signed
        URL for the private PDF. Requires the memberdocument:read or
        memberdocument:write scope.
      operationId: member_documents_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberDocument'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    MemberDocument:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
          example: mdoc_123
        member:
          type: string
          example: mem_123
        file:
          type: string
          format: uri
          readOnly: true
          description: Temporary signed URL for the private PDF.
        name:
          type: string
          maxLength: 255
          example: 2026 Medical Insurance Card
        document_type:
          $ref: '#/components/schemas/MemberDocumentTypeEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - document_type
        - file
        - id
        - member
        - name
    MemberDocumentTypeEnum:
      enum:
        - 1095_c
        - insurance_id_card
        - general
      type: string
      description: |-
        * `1095_c` - 1095-C
        * `insurance_id_card` - Insurance ID Card
        * `general` - General
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````